%define upstream_name    App-SVG-Graph
%define upstream_version 0.0.3

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Generate SVG graphs from the command line
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(SVG::Graph::Kit)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This accepts tab-separated data (TSV) on STDIN and emits an SVG graph.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/svg-graph
%{_mandir}/man1/svg-graph.1*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.0.3-2.mga9
+ Revision: 1813371
- Mageia 9 Mass Rebuild

* Fri Oct 16 2020 tv <tv> 0.0.3-1.mga8
+ Revision: 1636319
- update to 0.0.3

* Wed Feb 12 2020 umeabot <umeabot> 0.0.2-3.mga8
+ Revision: 1503462
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.0.2-2.mga7
+ Revision: 1281650
- Mageia 7 Mass Rebuild

* Thu Mar 29 2018 shlomif <shlomif> 0.0.2-1.mga7
+ Revision: 1213407
- cpan2pkg


* Thu Mar 29 2018 cpan2dist 0.0.2-1mga
- initial mageia release, generated with cpan2dist
